Edge Nodes - List

Edgenode'lar, son kullanıcılara CDN içeriği sunmak için kullanılan genel İletişim Noktası (POP) konumlarıdır.

GET https://management.azure.com/providers/Microsoft.Cdn/edgenodes?api-version=2025-04-15

URI Parametreleri

Veri Akışı Adı İçinde Gerekli Tür Description
api-version
query True

string

minLength: 1

Bu işlem için kullanılacak API sürümü.

Yanıtlar

Veri Akışı Adı Tür Description
200 OK

EdgenodeResult

TAMAM. İstek başarılı oldu.

Other Status Codes

ErrorResponse

İşlemin neden başarısız olduğunu açıklayan CDN hata yanıtı.

Güvenlik

azure_auth

Azure Active Directory OAuth2 Akışı.

Tür: oauth2
Akış: implicit
Yetkilendirme URL’si: https://login.microsoftonline.com/common/oauth2/authorize

Kapsamlar

Veri Akışı Adı Description
user_impersonation kullanıcı hesabınızın kimliğine bürünme

Örnekler

EdgeNodes_List

Örnek isteği

GET https://management.azure.com/providers/Microsoft.Cdn/edgenodes?api-version=2025-04-15

Örnek yanıt

{
  "value": [
    {
      "name": "Standard_Verizon",
      "id": "/providers/Microsoft.Cdn/edgenodes/Standard_Verizon",
      "type": "Microsoft.Cdn/edgenodes",
      "properties": {
        "ipAddressGroups": [
          {
            "deliveryRegion": "All",
            "ipv4Addresses": [
              {
                "baseIpAddress": "192.229.176.0",
                "prefixLength": 24
              },
              {
                "baseIpAddress": "180.240.184.128",
                "prefixLength": 25
              },
              {
                "baseIpAddress": "152.195.27.0",
                "prefixLength": 24
              }
            ],
            "ipv6Addresses": [
              {
                "baseIpAddress": "2606:2800:60f2::",
                "prefixLength": 48
              },
              {
                "baseIpAddress": "2606:2800:700c::",
                "prefixLength": 48
              }
            ]
          }
        ]
      }
    },
    {
      "name": "Premium_Verizon",
      "id": "/providers/Microsoft.Cdn/edgenodes/Premium_Verizon",
      "type": "Microsoft.Cdn/edgenodes",
      "properties": {
        "ipAddressGroups": [
          {
            "deliveryRegion": "All",
            "ipv4Addresses": [
              {
                "baseIpAddress": "192.229.176.0",
                "prefixLength": 24
              },
              {
                "baseIpAddress": "152.195.27.0",
                "prefixLength": 24
              }
            ],
            "ipv6Addresses": [
              {
                "baseIpAddress": "2606:2800:60f2::",
                "prefixLength": 48
              },
              {
                "baseIpAddress": "2606:2800:700c::",
                "prefixLength": 48
              }
            ]
          }
        ]
      }
    },
    {
      "name": "Custom_Verizon",
      "id": "/providers/Microsoft.Cdn/edgenodes/Custom_Verizon",
      "type": "Microsoft.Cdn/edgenodes",
      "properties": {
        "ipAddressGroups": [
          {
            "deliveryRegion": "All",
            "ipv4Addresses": [
              {
                "baseIpAddress": "192.229.176.0",
                "prefixLength": 24
              },
              {
                "baseIpAddress": "2606:2800:420b::",
                "prefixLength": 48
              },
              {
                "baseIpAddress": "2606:2800:700c::",
                "prefixLength": 48
              }
            ]
          }
        ]
      }
    }
  ]
}

Tanımlar

Veri Akışı Adı Description
cidrIpAddress

CIDR Ip adresi

createdByType

Kaynağı oluşturan kimliğin türü.

EdgeNode

Edgenode, CDN içeriğini son kullanıcılara teslim etmek için kullanılan genel bir İletişim Noktası (POP) konumudur.

EdgenodeResult

CDN kenar düğümlerini listeleme isteğinin sonucu. Bir ip adresi grubu listesi ve bir sonraki sonuç kümesini almak için bir URL bağlantısı içerir.

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

ErrorDetail

Hata ayrıntısı.

ErrorResponse

Hata yanıtı

IpAddressGroup

CDN Ip adresi grubu

systemData

Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.

cidrIpAddress

CIDR Ip adresi

Veri Akışı Adı Tür Description
baseIpAddress

string

Ip adresinin kendisi.

prefixLength

integer (int32)

IP adresinin ön ekinin uzunluğu.

createdByType

Kaynağı oluşturan kimliğin türü.

Değer Description
User
Application
ManagedIdentity
Key

EdgeNode

Edgenode, CDN içeriğini son kullanıcılara teslim etmek için kullanılan genel bir İletişim Noktası (POP) konumudur.

Veri Akışı Adı Tür Description
id

string (arm-id)

Kaynağın tam kaynak kimliği. Örneğin, "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

Kaynağın adı

properties.ipAddressGroups

IpAddressGroup[]

Ip adresi gruplarının listesi.

systemData

systemData

createdBy ve modifiedBy bilgilerini içeren Azure Resource Manager meta verileri.

type

string

Kaynağın türü. Örneğin, "Microsoft.Compute/virtualMachines" veya "Microsoft.Storage/storageAccounts"

EdgenodeResult

CDN kenar düğümlerini listeleme isteğinin sonucu. Bir ip adresi grubu listesi ve bir sonraki sonuç kümesini almak için bir URL bağlantısı içerir.

Veri Akışı Adı Tür Description
nextLink

string

Varsa bir sonraki edgenode listesi sonuçlarını almak için URL.

value

EdgeNode[]

CDN hizmetinin uç düğümü.

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

Veri Akışı Adı Tür Description
info

object

Ek bilgiler.

type

string

Ek bilgi türü.

ErrorDetail

Hata ayrıntısı.

Veri Akışı Adı Tür Description
additionalInfo

ErrorAdditionalInfo[]

Hata ek bilgileri.

code

string

Hata kodu.

details

ErrorDetail[]

Hata ayrıntıları.

message

string

Hata iletisi.

target

string

Hata hedefi.

ErrorResponse

Hata yanıtı

Veri Akışı Adı Tür Description
error

ErrorDetail

Hata nesnesi.

IpAddressGroup

CDN Ip adresi grubu

Veri Akışı Adı Tür Description
deliveryRegion

string

IP adresi grubunun teslim bölgesi

ipv4Addresses

cidrIpAddress[]

IP v4 adreslerinin listesi.

ipv6Addresses

cidrIpAddress[]

IP v6 adreslerinin listesi.

systemData

Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.

Veri Akışı Adı Tür Description
createdAt

string (date-time)

Kaynak oluşturma (UTC) zaman damgası.

createdBy

string

Kaynağı oluşturan kimlik.

createdByType

createdByType

Kaynağı oluşturan kimliğin türü.

lastModifiedAt

string (date-time)

Kaynağın son değişikliğinin zaman damgası (UTC)

lastModifiedBy

string

Kaynağı en son değiştiren kimlik.

lastModifiedByType

createdByType

Kaynağı en son değiştiren kimlik türü.